import { h } from 'preact';
import { gameName } from "./util";

export function About() {
    return (
        <div className="App-about">
            <p>
                <i>{gameName}</i> is a spin on the popular word game{" "}
                <a href="https://www.powerlanguage.co.uk/wordle/">
                    <i>Wordle</i>
                </a>{" "}
                by <a href="https://twitter.com/powerlanguish">powerlanguage</a>,
                built on <a href="https://twitter.com/chordbug">chordbug</a>'s{" "}
                <a href="https://github.com/lynn/hello-wordl">hello wordl</a> and
                inspired by <a href="https://qntm.org/">qntm</a>'s{" "}
                <a href="https://qntm.org/files/absurdle/absurdle.html">Absurdle</a>.
                You start with a prepopulated table of guesses and must find a way to{" "}
                <i>guarantee</i> a win in exactly 2 guesses.
            </p>
            <p>
                The feedback you get on your guesses is <i>adversarial</i>: the game
                changes the secret word as you play. Think about what words it could be,
                then use your first guess to gather as much information as possible.{" "}
                <i>(Hint: hard mode is turned off!)</i>
                <br />
                <br />
                Like Wordle &amp; hello wordl, the game has two separate word lists: a
                "common" list for the secret word, and an "uncommon" list for your guesses.
                The game will stop you from guessing an uncommon word for your second guess,
                since it has no chance of being the secret word.
                <br />
                <br />
                There's a new puzzle every day, starting at 6 AM in your timezone.
            </p>
            <hr />
            <p>
                Like "hello wordl", this game will be free and ad-free for as long as
                it's online.
                <br />
                <a href="https://meow.garden/contact-me">Contact Ash</a> if you have
                any questions.
            </p>
        </div>
    );
}
